package emps.v2_obiektowo;

import java.util.Comparator;
import java.util.List;

public class P5_MinMax_v4 {

    public static void main(String[] args) {
        List<Employee> emps = ObslugaCSV.wczytajDane();
        emps.sort(Comparator.comparingInt(Employee::getSalary));
        Employee min = emps.get(0);
        Employee max = emps.get(emps.size()-1);        
        // od Java 21 można też: Employee max = emps.getLast();
        
        System.out.println("Najbogatszy pracownik: " + max);
        System.out.println("Najbiedniejszy pracownik: " + min);
    }

}
